Subject: Promised Report FOSS Vermont

From: [email-masked]
Date: Sat, 5 Apr 2008 13:21:07 -0400 (EDT)

On site at FOSS Vermont

THE NOD
Bryant Patten clearly knows how to throw a conference, and I personally want
to thank him for doing just that.  Thus, this nod to Bryant is sincere,
heartfelt and will likely loose all credibility as this note progresses.

Moreover, Bryant did explicitly and courageously traveled north many hours
in treacherous conditions to attend the VAGUE gathering at Signalz in
February.  While at this meeting he was well prepared with a flyer and
indeed spoke eloquently on FOSSEDVT.  Bryant made this point to me and I
must agree with it.  If there is anyone responsible for the lack of this
being memorialized in VAGUE listserve traffic, this fault may fall on my
shoulders, as I volunteered to stand in for Josh, our usual reporter at
these meets.

Resara (http://www.resara.com) gets the nod for letting me use an EEEPro to
write this report.  Ever scurry around your house, taking care to wrap up
the new boom headphone, spare laptop cord and actually forget the computer?
It sucks to get old. Anyway I personally want to thank Warren and Brendan
for all of their help to me particularly, and the Open Source Education
community in general.  They are steadfast in their support.  So beyond a
mere nod, the following is a shameless, naked, and transparent plug for this
plucky pair.  Call them at 888-357-9195 or 603-357-9195 or Email:
[email-masked] or [email-masked], when you do, tell them Flint sends
his Kindest Regards.

That said, on to the meeting, held in the labyrinth basement lake level of
the Lake Morley Resort.  The austere snow and ice trappings of this dormant
summer establishment kind of made me feel inside, like Jack of Kubrick's
"Shining", a madman terrorizing a somnambulant reality. So besides being
excellent, this facility clearly deserves an appropriate nod for pure style.

Eh, then I registered.

THE CHACHKAS
All Attendees got a gift bag.  Gift bags must be a booming cottage industry,
and Mr. Patten and crew procured wisely.  My gift bag included:
 1.Neck Noose Name Tag Holder with a pen already attached.
 2.2 Gig Memory Stick (USB 2) hidden in the Name Tag Holder!
 3.A nifty clipboard with blue lined paper ready to go
 4.A Goofy calculator
 5.A Weird curled Plastic thing with no apparent purpose
 6.A Certificate of Attendance
 7.A CD with Windows versions of many open source programs in binary on
   it.

Sadly, the perpetual dream of good free network access was once again
deferred.  Brendan, a good man with Resara, and I tried to put one system
online so that I could send my report in via SCP.  Neither Ping, SCP nor SSH
worked from the wifi connection of the EEEPro that Resara let me try out.
This could be due to two things:
 1.All outbound ports on this network save 80 & 443 are masked
 2.Some kind of web based authentication needed to take place

Brendan and I thought the former, then towards the end of the conference, I
saw a sign on the registration desk for something like a nocat
(http://swik.net/nocat) gateway.  If it was the latter, I would suggest
stating this verbally at the opening, as many folks (take Brendan and me)
are not so literate at 08:30 AM.

I need to stress this point in planning any Linux or Open Source gathering.
Free, fast, easy, uncomplicated network access, be it wired or wireless is
an absolute must have, not on the word of some banquet manager, but tested,
documented supported and declared ready as a responsibility of the
conference organizer.  Nothing scares away geeks quicker than crappy network
access.

An important side bar to network access is the lack of attention to the need
to stream these types of conferences.  If there was forward inspection of
the network facilities, how hard would it be to arrange for streaming of the
major events?  Ubuntu in Boston had Polycom "Spider Phones" that appeared to
do IP streaming natively.  That said, these are Uber Geeks, and I could be
wrong with how simple they made it seem.  The good news was that there
appears to be some attempt to iPod some of the content, stay tuned on this
one.

THE FOOD
The food was fantastic.  Now in deference to Trask, it may not be the stuff
of legend that the NELS conference in Bath is, but it was very close.

Breakfast was comprised of a buffet of Cheese, Fresh Fruit, Coffee, Sweet
Rolls served at the keynote.  Very cool.  The Fresh Fruit made me flash to
Kaylee in the "Serenity" episode of the Firefly series
(http://imdb.com/title/tt0579535/plotsummary) when the strawberries were
deployed...oh my...

Lunch consisted of a buffet served in a nice dining room overlooking Lake
Morley.  Quite delicious, the highlights included; Salmon, cold cuts, hot
and cold drinks and yummy deserts for the taking.

A snack was placed in the main area around 2:30, it was comprised of hot and
cold drinks, excellent brownies and other light cake things.  The coffee was
good all around.

No doubt some of you would have me to consider the substance of this
conference.  Here I would merely point out that I did not chafe for creature
comforts.

THE PRESENTATIONS
While not apparently planned this way, due to late arrivals, the keynote was
in fact delivered by "The hardest working man in Open Source Education" Mr.
David Trask.  As I have shared a presentation stage in the past with him, I
can tell you that being gracefully "late" and letting him cut loose in a
solo rap is a very good thing for all involved.

DAVID TRASK

Dave was in his element, and his presentation was popular and his
presentation style populist, folksy and available.  He talked about his
"Digital Natives" - his students, and the folks at his school and made us
all envious of both his skill and energy.  Dave used all the right words,
some I knew and some I did not.  I took notes and blushed inwardly when he
pointed to me as a technical resource.  Dave should be in the nod section,
but he has his own conference coming up, and I reserve my nod of this event.

Keep in mind here that I can only talk about the stuff that I attended.
There was much I missed; particularly telling was the conflict I felt
between attending LTSP for Technicians and David Tisdell's presentation on
Open Source music.

Bjorn "BJ" Bhrendt I chose LTSP for Technicians because I figured that this
would be a very technical session, I wanted to know how technical this thing
could get. I was actually pleased.  Bjorn Bhrendt did an excellent
presentation where he virtualized an Edubuntu server and client under VM
ware.  While I would have preferred Xen or VirtualBox, we did share some
Ubuntu bash techniques.  Bjorn's perspective was extra interesting because
at the school where he teaches , he is afflicted with Active Directory and
chafes under it. BJ has found in Hardy and other places a whole new way to
make groups of computers talk in this Active Directory context.  His
unpretentious search for more and better places this presentation in a fine
light.  When I interrupted his lecture to suggest that he explain what a
Media Access Control (MAC) address was, he asked by show of hands if
everyone knew what this was.  Apparently everyone knew.  Cool session. Gonna
load hardy on a virtual now.

DAVE TISDALE

While lurking around a corner in the labyrinth that is the basement of Lake
Morely Resort (Video Game anyone?) I was fiercely pleased to confront Dave
Tisdale, and used up a Magic Charm to lead him into an empty meeting room
there, I was able to immobilize him in a web of deceit and innuendo and
while thus feast off of his knowledge...

I began with my favorite Ubuntu Studio lament.  The distro is 820 Meg just
big enough that there is no way to fit it on a 700 Meg CD.

I talked to him about a project in the area of ecclesiastical service
management that my patron showed interest in, and he suggested I look at
Rosegarden (http://www.rosegardenmusic.com/).  Dave continues kindly to
point out that one would need ZynAddSubFX
(http://apps.linuxaudio.org/apps/all/zynaddsubfx) in order to voice
Rosegarden, and the trend apparently is that everything talks to Jack.

As I am currently working on a project where it turns out Dave's stuff might
be developed into what I need for my sponsors long term system needs I
scuttled away satisfied and happy.  This type of pollinization is exactly
what a conference like this should be about.

IAN LYNCH

The good news is that Ian uses Google Docs.  The Disney flick, one of three
somewhat related films Ian showed at the beginning of this presentation has
caused me to consider once more "Thumper's Rule"
(http://www.winepros.org/aftertaste/links_info-general.htm#thumper).

In my humble opinion, for a guy my age, he gave out a lot of questionable
information.  For instance, in his introduction, Ian stated the community
owns open source code.  In the Q&A at the end of his presentation I had to
challenge this assertion and he corrected himself.

The theme of his talk was his current project "The Ingots"
(http://www.theingots.org/).  I found this presentation difficult for
several reasons, some of which I will describe here.:
- His system appears to be Yet Another Moneymaking Scheme of Certification
  And Marginalization (YAMSCAM).  Ian and Bryant seem to be trying to
  figure out a way to make developers, and that is good.  This Ingot method
  is not the way.
- Having two login screens on the front, one for the"in" crowd and one
  for the "out" crowd is really silly.  Why not let group membership
  drive the after login result and not make people feel bad?
- Being shown, certification software with no Secure Sockets Layer
  login invites comment, which I suppressed.
- While the content of this site was interesting in kind of an alpha
  release way, I firmly believe that teaching Open Source is not about
  learning the limits of "fair use".
- The proposed "Certification as reward" system is fundamentally flawed.
  Developers are not like Skinnerian mice, willing to run the predictable
  maze of someone else's idea of the open source process, for a food
  pellet or a silly lapel pin, be it bronze, silver or gold.

My greatest fear is that this program could or would get hold of some young
person with the potential to become a developer, and inoculate them from
ever trying.  The good news is that this really dramatized why you bring
developers into an environment like this.  If you want to expand the Code
you need Developers.  Thus your only choice is to Develop Developers.

The Ingots program (http://www.theingots.org) really puts Developers and
Certification in an adversarial position.  This is not to say that there is
no way to resolve this, rather I believe that an organic approach to
Developer education and lifelong life cycle support is the next big thing in
the world.  In our lives as Boomers Star Trek once asked us to "To boldly go
where no man has gone before".  Are the Ingots the ignoble end to this
development dream or can we refractor these good intentions? Certainly not
without the input of a Developer of two.

THE POINT

Conspicuous in absence from this conference was the lack of evaluation
forms.  No evaluation appears to have taken place after this conference.
Keep in mind as a paying client, I felt entitled to evaluate this product.
Conference evaluations are often held and disclosed in private.  While I
considered that approach I was sponsored into this conference by a client,
so instead you and my patron and get this evaluation.

As a paying participant to an event such as this I have an entirely
different attitude about the pluses and minuses than say a speaker or other
invited guest does.  Actually I like the fact that I am in a position to
bend the laws of courtesy and speak plainly rather than cloak my comments in
the syrupy sentiments of comity as would be demanded by the role of honored
speaker or invited guest.

The following constituencies were represented at this conference.  First are
the group consumers, in the forms of Teachers, Students, and Administrators.
Then come Vendors, in the form of exhibitors and sometimes, presenters.  In
a lot of ways this is a cross-section of that our society sees as the
ultimate achievers.  Markets are defined; products and services are supplied
at a nominal price to everyone's profit.  I felt like a cog in a closed
source marketing machine.

My ultimate expectation is to feel like a participant in a process.
Unfortunately this conference was like a a science fiction convention with
no guest writers.  I firmly believe that this is the crux of my colleague
Rion D'luz's concern and advanced criticism.  So finally my nod goes to the
Developers, who would not have eaten too much, who as, selected invitees
would have been forced to the role of courtesy, despite their natural
disruptive anarchistic tendencies, and we could have gained much from their
typically refreshing insights.

THE DEAL
Bryant, paying you to attend this event has placed me in a position that I
shall exploit, that of being your customer.  This has not been the easiest
evaluation that you ever read, and I am fairly certain that while you may
wish to respond with flame of your own, you will instead accept my
invitation to meet on this subject as I have accepted your invitation to
meet subsequent to this fine FOSSVT event.  You have arrayed powerful
resources that can work towards the good, or in mine and the opinions of
many in our community continue into error.

I would ask the VAGUE community to allow us a panel discussion at their next
regularly scheduled monthly meeting, Wednesday 16 April.  The topic I would
propose is "Developing the Developers who develop the Code", or "Coming in
from the Cold".

Thanks to all for sticking with me on this tortured and perilous journey
through what I suggest is reason.

Kindest Regards,

Paul flint

/************************************
Based upon email reliability concerns,
please send an acknowledgement in response to this note.

Paul Flint
Barre Open Systems Institute
17 Averill Street
Barre, VT
05641

http://www.bosivt.org
http://www.flint.com/home
skype: flintinfotech
Work: (202) 537-0480
 Fax: (703) 852-7089

Consilium
gratuitum        .~.
valet            /V\
quanti          /( )\
numerantur      ^^-^^